Page MenuHomePhabricator

Message about references defined in templates not being editable is sub-optimal in historical visual diffs.
Closed, ResolvedPublic

Description

When references defined in templates or "other generated blocks" are displayed in visual diffs they are shown on a green background with the message "This reference is defined in a template or other generated block, and for now can only be edited in source mode.". (Example)
This is sub-optimal as (a) editing is not being attempted, and (b) the reference may have been edited in source mode. Better would be something like

  • "This reference is defined in a template or other generated block, and for now cannot be displayed in a VisualDiff.", or
  • "This reference is defined in a template or other generated block, and for now can only be previewed in source mode."

Obviously actually being able to display the reference would be better, but I'm presuming that this is non-trivial and not imminent so changing the message in the meantime is probably worth it.

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptMar 1 2018, 11:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana renamed this task from Message about references defined in templates not being editable is sub-optimal in visual diffs. to Message about references defined in templates not being editable is sub-optimal in historical visual diffs..Mar 2 2018, 1:23 PM
Deskana triaged this task as Normal priority.
Deskana added a subscriber: Deskana.

Screenshot from the above diff, showing the issue:

Deskana moved this task from To Triage to Current work on the VisualEditor board.Mar 2 2018, 1:24 PM
Deskana edited projects, added VisualEditor (Current work); removed VisualEditor.

Indeed, not ideal. The reason we see this message in the diff is because we happen to be building it as a visual editor document, and this is the message that visual editor displays - there is no separate message just for the diff. We could make the message more generic so it would make sense in both the editing and diffing contexts.

Tchanders moved this task from Incoming to In progress on the VisualEditor (Current work) board.

Change 421713 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/Cite@master] Add separate message for missing reference in references list

https://gerrit.wikimedia.org/r/421713

Change 421715 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[VisualEditor/VisualEditor@master] Use more informative message for missing refs in visual diff

https://gerrit.wikimedia.org/r/421715

Change 421713 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Add separate message for missing reference in references list

https://gerrit.wikimedia.org/r/421713

Change 421715 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Use more informative message for missing refs in visual diff

https://gerrit.wikimedia.org/r/421715

Change 422059 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (320f01589)

https://gerrit.wikimedia.org/r/422059

Change 422059 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (320f01589)

https://gerrit.wikimedia.org/r/422059

Deskana closed this task as Resolved.Apr 16 2018, 2:10 PM